{% extends 'base.html.twig' %}

{% block title %}Connexion !{% endblock %}

{% block body %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            Vous êtes connecté en tant que : {{ app.user.username }}, <a href="{{ path('app_logout') }}">Se déconnecter</a>
        </div>
    {% endif %}

    <h1 class="h3 mb-3 font-weight-normal">Merci de vous identifier</h1>
    <div class="form-group">
        <label for="inputUsername">Username</label>
        <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus>
    </div>
    <div class="form-group">
        <label for="inputPassword">Password</label>
        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

        <input type="hidden" name="_csrf_token"
            value="{{ csrf_token('authenticate') }}"
        >
    </div>
    
    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}
    <div class="form-group">
        <button class="btn btn-lg btn-primary" type="submit">
            Se Connecter
        </button>
    </div>
</form>
{% endblock %}
